Page MenuHomePhabricator

Compare revision: as a user I want to compare two revisions in my history
Closed, ResolvedPublic

Description

Why are we doing this?

History and dif pages are used by editors and readers to understand how an article has changed over time. For editors, these pages are integral for gathering context around notifications and are key elements in a variety of common workflows.

User story

As a user of the iOS app, I would like to be able to see how an article has changed over time by comparing two different revisions of an article.

Proposed designs

User flows

Selecting a revision

Click through prototype: https://wikimedia.invisionapp.com/share/7JSR4PIXM2H

History screenHistory screen with 'compare'First selected revisionSecond selected revisionAttempting to select third revision
Zeplin: https://zpl.io/VQQ9wmmZeplin: https://zpl.io/bekLRnmZeplin: https://zpl.io/2ZnkWJEZeplin: https://zpl.io/bAW4MqPZeplin: https://zpl.io/2jYPG4r
Comparing revisions
User educationTop of compare revisions / diff pageScrolled down on compare revisions / diff page
Zeplin: https://zpl.io/ad1xGjEZeplin: https://zpl.io/aN1wMdnZeplin: https://zpl.io/bekNRNP

Related Objects

Event Timeline

LGoto created this task.Jul 23 2019, 6:47 PM
JMinor renamed this task from Compare revision: as a user I want to compare two revisions in my history to As a curating editor I want to compare two revisions of an article.Jul 23 2019, 9:22 PM
JMinor triaged this task as Medium priority.
cmadeo renamed this task from As a curating editor I want to compare two revisions of an article to Compare revision: as a user I want to compare two revisions in my history.Jul 23 2019, 9:43 PM
cmadeo raised the priority of this task from Medium to Needs Triage.
cmadeo updated the task description. (Show Details)
cmadeo added subscribers: Remagoxer, Krenair, alexhollender.
cmadeo updated the task description. (Show Details)Jul 23 2019, 9:46 PM
Remagoxer added a comment.EditedJul 23 2019, 9:47 PM

Was this issue created after mine? Just wondering.

Edit: indeed it was; I guess you just needed the ability to show the demo?

@Remagoxer yes it was, I just needed to be able to keep track of the child tickets associated with this ticket and both tickets were (I believe) describing the same feature request. We'll be working on this feature soon, so it's helpful to have a single ticket for this work. Feel free to add any information you feel is missing.

Also: minor error in the pic (https://phab.wmfusercontent.org/file/data/rxxgymopspxpkb63zffu/PHID-FILE-n37bj4rad7jg5njlg3dp/375_History_-Compare_revisions.png{F29853676}); it should read “When you compare two different revisions of an article, the differences between them are generated and shown. Only the edit information related to the newest one is shown.”

As a WikiGnome, I felt the need to correct that sentence.

cmadeo updated the task description. (Show Details)Jul 23 2019, 10:09 PM

Updated, thanks @Remagoxer!

JMinor triaged this task as Medium priority.Jul 29 2019, 6:45 PM
cmadeo updated the task description. (Show Details)Aug 28 2019, 8:21 PM
awight added a subscriber: awight.Sep 27 2019, 7:24 AM

Hi, is there already a task for integrating the new wikidiff2 JSON output format into an API endpoint?

@awight Sorry for the late response - the endpoint was implemented here.

@awight Sorry for the late response - the endpoint was implemented here.

Just idle curiosity, no rush. Thanks for the reply!
I found some example output here: https://en.wikipedia.beta.wmflabs.org/w/rest.php/v1/revision/388864/compare/388866

Looks good on 6.5.0 (1690)

JMinor closed this task as Resolved.Dec 6 2019, 1:14 AM
JMinor claimed this task.
JMinor awarded a token.

Excellent work all!